# Uses of Enum Class
javax.swing.event.RowSorterEvent.Type

Packages that use RowSorterEvent.Type
Package
Description
javax.swing.event
Provides for events fired by Swing components.

## Uses of RowSorterEvent.Type in javax.swing.event

Methods in javax.swing.event that return RowSorterEvent.Type
Modifier and Type
Method
Description
`RowSorterEvent.Type`
RowSorterEvent.`getType()`
Returns the type of event.
`static RowSorterEvent.Type`
RowSorterEvent.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RowSorterEvent.Type[]`
RowSorterEvent.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javax.swing.event with parameters of type RowSorterEvent.Type
Modifier
Constructor
Description
``
`RowSorterEvent(RowSorter<?> source, RowSorterEvent.Type type, int[] previousRowIndexToModel)`
Creates a `RowSorterEvent`.